# EcoManager
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.managers.eco

## Class EcoManager

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.managers.eco.EcoManager

    public class EcoManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EcoManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.concurrent.CompletableFuture<java.lang.Boolean>` `withDrawPlayer(org.bukkit.entity.Player player, java.lang.Double amount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EcoManager

    public EcoManager()

### Method Detail

#### withDrawPlayer

    public java.util.concurrent.CompletableFuture<java.lang.Boolean> withDrawPlayer(org.bukkit.entity.Player player,
                                                                                    java.lang.Double amount)